#
# Copyright 2005 Perforce Software.  All rights reserved.
#
#
# extract job|spec|change
#
if [ "$2" = "" ]; then
	echo "Usage: $0 [job|change|changelist] id {nostrip}"
fi
if [ "$3" = "" ]; then
	if [ "$1" = "job" ]; then
		p4 job -o $2 | sed -e 's/^[ 	]*#.*$//' | awk '!/^$/ { print $0; }'
	elif [ "$1" = "spec" ]; then
		p4 print -q //spec/job/$2.p4s | sed -e 's/^[ 	]*#.*$//' | awk '!/^$/ { print $0; }'
	elif [ "$1" = "change" ]; then
		p4 change -o $2 | sed -e 's/^[ 	]*#.*$//' | awk '!/^$/ { print $0; }'
	elif [ "$1" = "changelist" ]; then
		p4 change -o $2 | sed -e 's/^[ 	]*#.*$//' | awk '!/^$/ { print $0; }'
	else
		echo "Usage: $0 [job|change|changelist] id {nostrip}"
	fi
else
	if [ "$1" = "job" ]; then
		p4 job -o $2
	elif [ "$1" = "spec" ]; then
		p4 print -q //spec/job/$2.p4s
	elif [ "$1" = "change" ]; then
		p4 change -o $2
	elif [ "$1" = "changelist" ]; then
		p4 change -o $2
	else
		echo "Usage: $0 [job|change|changelist] id {nostrip}"
	fi
fi
